#
# spec file for package rasmol (Version 2.7.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         rasmol
Copyright:    ditsributable
Group:        Applications/Scientific
Provides:     RasMol 
Autoreqprov:  on
Version:      2.7.2.1
Release:      50
Summary:      Molecular Graphics Visualization tool
Source:       RasMol_%{version}.tar.bz2
Patch:        RasMol_%{version}.dif
Patch1:       RasMol_%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
RasMol is an X Window System tool intended for the visualization of
proteins and nucleic acids. It reads Brookhaven Protein Database (PDB)
files and interactively renders them in a variety of formats on either an
8bit or 24/32bit color display.
Examples are in /usr/lib/rasmol

Authors:
--------
    Roger Sayle <ras32425@ggr.co.uk>

SuSE series: xap

%prep
%setup -n RasMol_%{version}
%patch
%patch1

%build
cd src
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
make -C src "DESTDIR=$RPM_BUILD_ROOT" install
make -C src "DESTDIR=$RPM_BUILD_ROOT" install.man 
cp -a data $RPM_BUILD_ROOT/usr/X11R6/lib/rasmol

%files
%defattr(-,root,root)
%doc NOTICE PROJECTS TODO* README* ChangeLog.html history.html index.shtml html_graphics doc/
%doc /usr/X11R6/man/man1/*
/usr/X11R6/lib/rasmol
/usr/X11R6/bin/rasmol

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n rasmol
* Thu Jul 26 2001 - cihlar@suse.cz
- update to version 2.7.2.1
* Mon Jun 11 2001 - cihlar@suse.cz
- fixed to compile with new xmkmf
* Mon May 21 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
- use RPM_OPT_FLAGS
* Tue Apr 10 2001 - cihlar@suse.cz
- update to version 2.7.2
* Wed Nov 15 2000 - cihlar@suse.cz
- bzipped sources
- fixed copyright tag
- fixed file list
* Wed May 17 2000 - cihlar@suse.cz
- Group sorted
* Mon Mar 27 2000 - cihlar@suse.cz
- added BuildRoot
* Fri Feb 18 2000 - fehr@suse.de
- changed to new version 2.7.1
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Oct 07 1998 - ro@suse.de
- add proper includes for glibc
* Sat Nov 15 1997 - fehr@suse.de
- "struct fd_set" is not avaliable in 2.0.32 kernels, use fd_set instead
* Wed Oct 08 1997 - fehr@suse.de
- prepare for automatic build of package
